#!/bin/bash

echo "An incomplete installation of libglvnd was found. So we will overwrite the links of libGL and libEGL."

#set -x

CPU=`LANG=en uname -m`
OS=`cat /etc/os-release | sed -n '/^ID=/p' | sed -e 's/"//g' -e 's/ID=//g'`
LIBDIR=/usr/lib/`gcc -print-multiarch`
MULTIARCH=`gcc -print-multiarch`

echo "${LIBDIR}/mwv207" > /etc/ld.so.conf.d/${MULTIARCH}-gl.conf
ldconfig
rm -rf ${LIBDIR}/libGL.so ${LIBDIR}/libGL.so.1
ln -s ${LIBDIR}/mwv207/libGL.so ${LIBDIR}/libGL.so
ln -s ${LIBDIR}/mwv207/libGL.so.1 ${LIBDIR}/libGL.so.1


rm -rf ${LIBDIR}/libEGL.so ${LIBDIR}/libEGL.so.1
ln -s ${LIBDIR}/mwv207/libEGL.so ${LIBDIR}/libEGL.so
ln -s ${LIBDIR}/mwv207/libEGL.so.1 ${LIBDIR}/libEGL.so.1

rm -rf ${LIBDIR}/libGLESv2.so.2
ln -s ${LIBDIR}/mwv207/libGLESv2.so ${LIBDIR}/libGLESv2.so.2
exit 0
